# Function Template `combine`

Description
Headers
Synopsis

## Description

The class template `combination` takes an InputFilter/OutputFilter pair or a Source/Sink pair and yields a Filter or Device which performs input using the first component and output using the second. The function template `combine` takes an InputFilter/OutputFilter pair or a Source/Sink pair and returns an appropriate specialization of `combination`.

## Headers

`<boost/iostreams/combine.hpp>`

## Synopsis

    namespace boost { namespace iostreams {

    template<typename In, typename Out>
    class combination;

    template<typename In, typename Out>
    combination<In, Out> combine(const In& in, const Out& out);

    } } // End namespace boost::io

Revised 20 May, 2004

© Copyright Jonathan Turkanis, 2004

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)